/*
 * Created on Mar 2, 2005
 */
package org.exoplatform.services.cms.impl;

import javax.jcr.LoginException;
import javax.jcr.NoSuchWorkspaceException;
import javax.jcr.Node;
import javax.jcr.RepositoryException;
import javax.jcr.Session;

/**
 * @author benjaminmestrallet
 */
public class TestDialogs extends BaseTest{
  
  public void testInit() throws LoginException, NoSuchWorkspaceException, RepositoryException{
    Session session = repository_.login(WORKSPACE);
    Node root = session.getRootNode();
    
    assertTrue(root.hasNode("/cms/templates"));
    assertTrue(root.hasNode("/cms/templates/nt:resource"));
  }
  
  public void testGetDialog() throws Exception {
    String template = dialogService_.getDefaultDialogPath("nt:resource");
    assertEquals("/cms/templates/nt:resource/dialogs/dialog1", template);
  }
    
}
