/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.portlets.forum.component.model;

import java.util.Collection;
import java.util.List;

import org.exoplatform.services.forum.Category;
import org.exoplatform.services.forum.Forum;
/**
 * @author Tuan Nguyen (tuan08@users.sourceforge.net)
 * @since Mar 14, 2005
 * @version $Id$
 */
public class ForumCategoryData {
  private Category category_ ;
  private List forums_ ;
  private boolean selected_ ;
  
  public ForumCategoryData(Category category, List forums)  {
    category_ = category ;
    forums_ = forums ;
    selected_ = true ;
  }
  
  public Category getCategory() { return category_ ; }
  
  public Collection getForums() { return forums_ ; }
  public Forum getForum(String id) {
    for(int i = 0; i < forums_.size() ; i++) {
      Forum forum = (Forum) forums_.get(i) ;
      if(id.equals(forum.getId())) return forum ;
    }
    return null ;
  }
  
  public boolean isSelected() { return selected_ ; }
  public void setSelected(boolean b) { selected_ = b ; }
  
}
