/**
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 */

package org.exoplatform.services.jcr.datamodel;

import org.exoplatform.services.jcr.access.AccessControlList;


/**
 * Created by The eXo Platform SARL        .
 * @author <a href="mailto:gennady.azarenkov@exoplatform.com">Gennady Azarenkov</a>
 * @version $Id: MutableNodeData.java 3510 2005-12-29 17:32:57Z geaz $
 */

public interface MutableNodeData extends NodeData, MutableItemData {
	////// mutators 
	void setOrderNumber(int orderNum);

	void setMixinTypeNames(InternalQName[] mixinTypeNames);

	NodeData addNode(NodeData node);

	PropertyData addProperty(PropertyData property);

	void removeProperty(PropertyData property);

	void removeNode(NodeData node);
	
	void setUUID(String uuid);
	
	void setACL(AccessControlList acl);
	
}