/**
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 */

package org.exoplatform.services.jcr.datamodel;

import java.util.List;

import javax.jcr.RepositoryException;

/**
 * Created by The eXo Platform SARL        .
 * @author <a href="mailto:gennady.azarenkov@exoplatform.com">Gennady Azarenkov</a>
 * @version $Id: PropertyData.java 3510 2005-12-29 17:32:57Z geaz $
 */

public interface PropertyData extends ItemData {
	
	/**
	 * @return list of values ValueData. It is possible to return zer-length list but not null
	 */
	List getValues();
	
	/**
	 * Set list of ValueData
	 * @param values
	 * @throws RepositoryException if list is null or other errors occur
	 */
	void setValues(List values) throws RepositoryException;

	/**
	 * @return type of stored values (See PropertyType)
	 */
	int getType();
	
	void setType(int type);

    /*# ValueData lnkValueData; */
}