/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.faces.core.component.model;
/**
 * Jun 30, 2004
 * @author: Tuan Nguyen
 * @email: tuan08@users.sourceforge.net
 * @version: $Id: ListDataHandler.java,v 1.6 2004/11/03 04:24:53 tuan08 Exp $
 */
abstract public class ArrayDataHandler implements DataHandler {
  protected Object[] datas_;
  protected int currentRow_;
  
  public ArrayDataHandler() {

  }

  public ArrayDataHandler setDatas(Object[] datas) {
    datas_ = datas;
    return this;
  }

  public void begin() {
    currentRow_ = -1;
  }

  public void end() {
  }

  public boolean nextRow() {
    currentRow_++;
    if (datas_ != null) {
      if (currentRow_ < datas_.length) {
        setCurrentObject(datas_[currentRow_]);
        return true;
      }
    }
    return false;
  }

  public int getCurrentRow() { return currentRow_; }

  public Object getCurrentObject() {  return datas_[currentRow_]; }

  public String getCurrentObjectId() {  return null;  }

  public Object getObject(int index) {  return datas_[index]; }
  
  public Object[] getDatas() { return datas_ ; }
}