/*
 * Created on Apr 14, 2005
 */
package org.exoplatform.faces.cms;

import javax.jcr.Node;

import org.exoplatform.services.grammar.wiki.WikiContext;
import org.exoplatform.services.grammar.wiki.WikiEngineService;

/**
 * @author benjaminmestrallet
 */
public interface CMSViewComponent extends CMSDialogComponent{
  
  public String getPortalName();
  
  public String getWorkspaceName() throws Exception;
  
  public void setNode(Node node);
  
  public WikiContext getWikiContext();
  
  public WikiEngineService getWikiService();

  public String getNodeType() throws Exception;
  
  public boolean isNodeTypeSupported();
  
  public String getTemplatePath() throws Exception;
  
}
