package org.exoplatform.services.cms.queries;

import java.util.List;

import javax.jcr.query.Query;

public interface QueryService {
  
  public String getRelativePath();
  
  public List<Query> getQueries() throws Exception;
  
  public Query getQuery(String queryName) throws Exception;
  
  public void addQuery(String queryName, String statement, String language) throws Exception;
  
  public void removeQuery(String queryName) throws Exception;

}
