package org.exoplatform.portlets.calendar.component;

import org.exoplatform.faces.core.component.UIExoCommand;
import org.exoplatform.portlets.calendar.component.UICalendar.MoveNextListener;
import org.exoplatform.portlets.calendar.component.UICalendar.MovePreviousListener;
import org.exoplatform.portlets.calendar.component.UICalendar.ViewDayListener;
import org.exoplatform.portlets.calendar.component.UICalendar.ViewEventListener;
import org.exoplatform.portlets.calendar.component.UICalendar.ViewMonthListener;
import org.exoplatform.portlets.calendar.component.UICalendar.ViewWeekListener;


public class UIMiniCalendar extends UIExoCommand {

	public UIMiniCalendar() throws Exception {
		setRendererType("MiniCalendarRenderer") ;
		setId("UIMiniCalendar") ;
		setClazz("UIMiniCalendar") ;
		
		addActionListener(ViewDayListener.class, UICalendarPortlet.VIEW_DAY_ACTION) ;
		addActionListener(ViewWeekListener.class, UICalendarPortlet.VIEW_WEEK_ACTION) ;
		addActionListener(ViewMonthListener.class, UICalendarPortlet.VIEW_MONTH_ACTION) ;
		
		addActionListener(MovePreviousListener.class, UICalendarPortlet.MOVE_PREVIOUS_ACTION) ;
		addActionListener(MoveNextListener.class, UICalendarPortlet.MOVE_NEXT_ACTION) ;
	}
	
	public String getFamily() {
		return "org.exoplatform.portlets.calendar.component.UIMiniCalendar" ;
	}
}
