/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.organization.impl;

import org.exoplatform.services.backup.XMLObjectConverter;
import org.exoplatform.xml.object.XMLObject;

/**
 * @author Tuan Nguyen (tuan08@users.sourceforge.net)
 * @since Apr 20, 2005
 * @version $Id$
 */
public class V11XMLObjectConverter extends XMLObjectConverter {
  
  static String USER_TYPE = UserImpl.class.getName().intern() ;
  static String PROFILE_TYPE = UserProfileImpl.class.getName().intern() ;
  static String GROUP_TYPE = GroupImpl.class.getName().intern() ;
  static String MEMBERSHIP_TYPE = MembershipImpl.class.getName().intern() ;
  static String MEMBERSHIP_TYPE_TYPE = MembershipTypeImpl.class.getName().intern()  ;

  public void update(XMLObject xmlobject) {
    String type = xmlobject.getType() ;
    if(USER_TYPE.equals(type)) {
      //found the user xml objectcall xmlobject.removeField(String name),
      //xmlobject.renameField(oldName , newName), xmlobject.addField(name , fieldType, value)
      //to update the user data obbject
//      System.out.println("==> update object: " + type) ;
    } else if(PROFILE_TYPE.equals(type)) {
      //found the user xml objectcall xmlobject.removeField(String name),
      //xmlobject.renameField(oldName , newName), xmlobject.addField(name , fieldType, value)
      //to update the user data obbject
//      System.out.println("==> update object: " + type) ;
    } else if(GROUP_TYPE.equals(type)) {
      //found the user xml objectcall xmlobject.removeField(String name),
      //xmlobject.renameField(oldName , newName), xmlobject.addField(name , fieldType, value)
      //to update the user data obbject
//      System.out.println("==> update object: " + type) ;
    } else if(MEMBERSHIP_TYPE.equals(type)) {
      //found the user xml objectcall xmlobject.removeField(String name),
      //xmlobject.renameField(oldName , newName), xmlobject.addField(name , fieldType, value)
      //to update the user data obbject
//      System.out.println("==> update object: " + type) ;
    } else if(MEMBERSHIP_TYPE_TYPE.equals(type)) {
      //found the user xml objectcall xmlobject.removeField(String name),
      //xmlobject.renameField(oldName , newName), xmlobject.addField(name , fieldType, value)
      //to update the user data obbject
//      System.out.println("==> update object: " + type) ;
    }
  }
  public void pack(XMLObject xmlobject) {   
  }
}
