/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package suites.wsrp;

import suites.portal.*;
import suites.share.AccountUnit;
import suites.share.NewAccountSuite;

import org.exoplatform.test.web.*;
import org.exoplatform.test.web.unit.*;
import org.exoplatform.test.web.validator.*;

/**
 * May 21, 2004
 * @author: Tuan Nguyen
 * @email:   tuan08@users.sourceforge.net
 * @version: $Id: ForumPortletSuite.java,v 1.3 2004/10/21 15:21:49 tuan08 Exp $
 **/
static public class WSRPConsummerPortletSuite extends WebUnitSuite {
  public WSRPConsummerPortletSuite() {
    super("WSRPConsummerPortletSuite", "Go to WSRP Consummer portlet and select the exomvc portlet") ;
    goToPage("/Demo/WSRP/Consumer Portlet") ;

	/* 
	
    addWebUnit(
        new ClickURLLinkUnit("ClickWSRPMode", "click on the wsrp mode of the consummer portlet").
        setURL("portal:componentId=wsrp-consumer&portal:portletMode=wsrp").
        addValidator(new ExpectLinkWithTextValidator("exo producer"))
    ) ;
    
    addWebUnit(
        new ClickURLLinkUnit("ClickWSRPMode", "click on the wsrp mode of the consummer portlet").
        setURL("portletHandle=exomvc/ExoMVC&action=selectPortlet").
        addValidator(new ExpectLinkWithTextValidator("exo producer"))
    ) ;
    
    addWebUnit(
        new ClickURLLinkUnit("ClickWSRPViewMode", "click on the view mode of the consummer portlet").
        setURL("portal:componentId=wsrp-consumer&portal:portletMode=view").
        addValidator(new ExpectLinkWithURLValidator("mvc.page.name=groovy.list.script.page&action=run&page=groovy.list.script.page"))
    ) ;
    
	*/    
    
  }
  public java.util.List getRequiredSuites() { 
    String[] roles = ["user"] ;
    return   [ new NewAccountSuite(), 
               new UserLoginSuite("#{client.name}", "#{client.name}", roles)] ;
  }

}